// DlgSColorSelect.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "DlgSColorSelect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCDlgSColorSelect _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

CFCDlgSColorSelect::CFCDlgSColorSelect (CWnd* pParent /*=NULL*/)
	: BASE_CLASS(CFCDlgSColorSelect::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFCDlgSColorSelect)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_jFmPjAjEiPiJiKpKiJlLiBeC_xHqqkZx_
	InitVariable();
} // CFCDlgSColorSelect::CFCDlgSColorSelect.

void CFCDlgSColorSelect::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCDlgSColorSelect)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_MAP
} // CFCDlgSColorSelect::DoDataExchange.

BEGIN_MESSAGE_MAP(CFCDlgSColorSelect, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCDlgSColorSelect)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_SCL_BTN_S_COLOR_ADD, OnSclBtnSColorAdd)
	ON_BN_CLICKED(IDC_SCL_BTN_S_COLOR_DELETE, OnSclBtnSColorDelete)
	ON_BN_CLICKED(IDC_SCL_BTN_S_COLOR_MODIFY, OnSclBtnSColorModify)
	ON_BN_CLICKED(IDC_SCL_BTN_IMPORT_ON, OnSclBtnImportOn)
	ON_BN_CLICKED(IDC_SCL_BTN_FILE_IMPORT, OnSclBtnFileImport)
	ON_BN_CLICKED(IDC_SCL_BTN_COPY_IMPORT, OnSclBtnCopyImport)
	//}}AFX_MSG_MAP
	ON_MESSAGE(WM_USER_MTRX_SELCHANGED, OnUserMtrxSelchanged)
	ON_MESSAGE(WM_USER_MULTICTRL_CHANGED, OnUserMultictrlChanged)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCDlgSColorSelect _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

